import titanium from '../root';
import { TitaniumEnumType } from '../../../src';

const genderType = new TitaniumEnumType({
  name: 'Gender',
  description: 'A gender for an author',
  values: [ 'male', 'female' ]
});

// we apply the new type definition to the Titanium main schema
titanium.addType(genderType);
